import Cookies from "js-cookie";

const TokenKey = "AdminOMS-Token";

const ExpiresInKey = "AdminOMS-Expires-In";

export function getToken() {
  if (process.env.NODE_ENV === "development") {
    return "eyJhbGciOiJIUzUxMiJ9.eyJ1c2VyX2lkIjoxLCJ1c2VyX2tleSI6Ijk1YTgxNzM1LWRiMzYtNGU4Yi1hODQxLWQ3YjdhMjE2OWJiNiIsInVzZXJuYW1lIjoiYWRtaW4ifQ.iiw0Gavt1HTMceI1SokEEz0NBl9O-OCP3_LaNlzUq8b71TirmRT30TzkmvfxcFGIFHmQzmapNwopupwvoFvBhw";
  } else {
    return Cookies.get(TokenKey);
  }
}

export function setToken(token: string) {
  return Cookies.set(TokenKey, token);
}

export function removeToken() {
  return Cookies.remove(TokenKey);
}

export function getExpiresIn() {
  return Cookies.get(ExpiresInKey) || -1;
}

export function setExpiresIn(time: any) {
  return Cookies.set(ExpiresInKey, time);
}

export function removeExpiresIn() {
  return Cookies.remove(ExpiresInKey);
}
